Bug 194346 - Can't run rdoc
Can't run rdoc
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-06-07 09:49 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 15:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-06-07 09:49:42 EDT
1. Make sure irb isn't install
rpm -e irb

2. Run ruby is installed
rpm -q ruby
ruby-1.8.1-7.EL4.3

3. Try to run rdoc
/usr/lib/ruby/1.8/rdoc/parsers/parse_rb.rb:18:in `require': No such file to load
-- irb/slex (LoadError)
      from /usr/lib/ruby/1.8/rdoc/parsers/parse_rb.rb:18
      from /usr/lib/ruby/1.8/rdoc/rdoc.rb:15:in `require'
      from /usr/lib/ruby/1.8/rdoc/rdoc.rb:15
      from /usr/bin/rdoc:59:in `require'
      from /usr/bin/rdoc:59

ruby should depend on irb.

This is similar to bug #144708 filed for FC3
Comment 1 Akira TAGOH 2006-07-05 02:43:36 EDT
To solve this issue, I did separate out the files to the rdoc subpackage that is
relevant to rdoc. I'm not sure if our update policy allows to do the same thing.
I mean, to add an rdoc subpackage. but the different way may avoids the
upgrading from RHEL4 in the future, I'm afraid.
Comment 2 RHEL Product and Program Management 2006-09-05 15:37:03 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 3 RHEL Product and Program Management 2006-09-05 15:48:25 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.